-- Title: DIY Combat Engine
-- Version: 2.4.1
-- Description: Combat Engine to help with skill rotations, and maintaining buffs/debuffs for maximizing DPS.
-- Author: Ghost Wolf
-- Bearbeitung: Raihir 2016-12-04

-- Deutsche Version für das Forum: Gentlemankiller 



--[[

Variablen an Diyce übermitteln

/run Killsequence()
damit wird die Diycerota ja derzeit aufgerufen und wie aus einem meiner Posts ersichtlich war kann man ja einen Debugmodus aktivieren indem man Diyce etwas bestimmtes zusätzlich mitteilt.
Folgende Möglichkeiten sind dafür bereits fest eingebaut und mit dem Ingamemakro aufrufbar:

/run KillSequence("v1")
-- Diyce erzählt einem in dem normalen Chat was es genau macht, also welcher Skill oder Befehl gerade versucht wird auszulösen

/run KillSequence("v2")
-- Diyce sagt noch viel mehr .... also genauer nicht nur wann ein Skill ausgelöst wird sondern auch die Pausen dazwischen - wenn man also keine Fehlermeldung bekommt aber kein Befehl ausgelöst wird sollte man dies mal kurz testen - bei einem ständigen "Idle" im Chat deutet es dann darauf hin, das für die Klassenkombi keine Rota hinterlegt wurde oder nie ein Skill eine Auslösebedingung hat

/run KillSequence("debugpbuffs") und /run KillSequence("debugtbuffs")
-- liefert im Chat eine Liste der eigenen Buffs oder der DeBuffs des Zieles mit Namen, Id und Laufzeit

/run KillSequence("debugall")
-- liefert beides vorgenannte pluss der kompletten eigenen Skilltable

Damit haben wir schon die ersten Variablen an Diyce übermittelt und so funktionieren auch andere. Wer sich die Custom etwas genauer anschaut und den Beginn der Killsequence, die mit dem Befehl
function KillSequence(arg1 ,sintar)
beginnt. arg1 ist die erste Variable, die ich mit den Befehlen zum Debug gefüllt habe, die sintar ist noch leer. Im US-Forum werden noch mehr Variablen genutzt - ich begnüge mich mit einer eigenen (sintar in diesem Fall). Da bei normaler Funktion ja auf den Debug-Modus verzichtet werden kann, lässt man diese Variable einfach leer. Ingame kann man dann der zweiten Variable mit folgendem Makro Inhalt zuweisen:

/run KillSequence("","1")
Die erste Variable bekommt nichts zugewiesen, die zweite hiermit "1". Damit ist es dann möglich in den Rotas Unterscheidungen einzubauen nach dem Motto sintar == "1" oder ~= "1". Oder 4 verschiedene Ingame-Makros, wo jeweils ein unterschiedlicher Wert an sintar übergeben wird. Es können auch noch mehrere Variablen angelegt werden - einfach nur die Funktion selber erweitern und den Aufruf mit dem Makro anpassen. Somit kann man für alles im voraus planen und bei Bedarf über das entsprechende Ingame-Makro die passende Rota starten. sintar habe ich mir überlegt und kommt von SingleTarget - es kommt halt nicht gut wenn es im Spiel heißt Tanktarget und man semmelt über die Diyce-Rota einen Querschläger in die Mobgruppe ....


Relog
/run dofile("Interface/Addons/DIYCE/CustomFunctions.lua")
/run dofile("Interface/Addons/DIYCE/DIYCE.lua")


--]]


local za1 = "1"			--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	

local WHITE = "|cffffffff"
local SILVER = "|cffc0c0c0"
local GREEN = "|cff00ff00"
local LTBLUE = "|cffa0a0ff"
local g_lastaction = ""

function DIYCE_DebugSkills(skillList)
    SELECTED_CHAT_FRAME:AddMessage(GREEN.."Skill List:")
    
    for i,v in ipairs(skillList) do
        SELECTED_CHAT_FRAME:AddMessage(SILVER.."  ["..WHITE..i..SILVER.."]: "..LTBLUE.."\" "..WHITE..v.name..LTBLUE.."\"  use = "..WHITE..(v.use and "true" or "false"))
    end

    SELECTED_CHAT_FRAME:AddMessage(GREEN.."----------")
end

function DIYCE_DebugBuffList(buffList)
    SELECTED_CHAT_FRAME:AddMessage(GREEN.."Buff List:")
    
    for k,v in pairs(buffList) do
		-- Wir ignorieren nummerierte Einträge, da sowohl die ID als auch der Name werden in der Liste gespeichert. Dadurch wird eine Verdopplung der Ausgabe vermieden.
        -- We ignore numbered entries because both the ID and name are stored in the list. This avoids doubling the output.
        if type(k) ~= "number" then
			SELECTED_CHAT_FRAME:AddMessage(SILVER.." ["..WHITE..k..SILVER.."]: "..LTBLUE.."id: "..WHITE..v.id..LTBLUE.." stack: "..WHITE..v.stack..LTBLUE.." time: "..WHITE..(v.time or "none"))
        end
    end
    
    SELECTED_CHAT_FRAME:AddMessage(GREEN.."----------")    
end

--[[
silenceList { }

In dieser Liste stehen so einige Casts alle mit dem Zusatz true dahinter.
Etwas weiter im Code (380) bereits in der KillSequence stehen 2 Zeilen mit dem Komentar "Silence Logic" und in diesen 2 Zeilen wird die Zuweisung silenceThis durchgeführt.
Bei jedem Aufruf der Killsequence wird überprüft ob das Ziel gerade castet und ob dieser Cast in der silenceList aufgeführt ist - wenn ja wird silenceThis auf true gesetzt.

{ name = "Kehlenschlag", use = silenceThis },

bedeutet also, das der Kehlenschlag mit der Bedingung ausgeführt wird wenn das Ziel einen bestimmten Cast durchführt.
Da es aus taktischen Gründen immer sehr wichtig sein kann bestimmte Casts auf jeden Fall zu unterbrechen steht der "Unterbrecherskill" (ob nun Stille, Kehlenschlag oder was anderes) immer ganz oben in der Kampfrota.
Die silenceList ist offen - es können also durchaus weitere "unterbrechbare" Skills mit dem Zusatz true in die Liste aufgenommen werden.

Hinweis:
Wenn alle in der Gruppe Diyce nutzen und das Target mehrere Versuche startet einen Cast durchzubekommen sollte man diesen Cast nicht in die Liste aufnehmen sondern die "Stille" per Hand auslösen.
Es würde sonst bei allen beim ersten Cast die Stille automatisch ausgelöst und alle hätten Cooldown wenn der Boss den zweiten Versuch startet ....
--]]







local silenceList = {
		
        ["Ansturm"]          			      			= true,		-- RK
        ["Aufstand"]          			      			= true,		-- RK		Dalanis Kerker Boss 1 "Schwarze Flamme"
        ["Schwarze flamme"]          	    			= true,		-- RK		Dalanis Kerker Boss 1 "Schwarze Flamme"		
        ["Scharfer Hieb"]          	    				= true,		-- RK		Dalanis Kerker Boss 1 "Schwarze Flamme"				
		
		
		
		
		
        ["Betäubender Dolch"]                			= true,
        ["Bogenschuss der Tapferkeit"]                	= true,
		["Donnerschwert"]                           	= true,
        ["Donnerschlag"]                            	= true,
        ["Einfrieren"]                                	= true,
        ["Eisnebel"]                                	= true,
        ["Ekeleregender Schleim"]                      	= true,
        ["Elektrische Explosion"]                    	= true,
        ["Elektrischer Bolzen"]                        	= true,
        ["Erdkette"]                                	= true,
        ["Erdpfeil"]                                	= true,
        ["Erholung"]                                	= true,
        ["Flammenstoß"]                        			= true,
        ["Formationsbrecher"]                           = true,
        ["Freisetzung dunkler Kraft"]                   = true,
        ["Geladener Hieb"]                            	= true,
        ["Gewitter"]                                	= true,
        ["Gezielter Schuss"]                        	= true,
		["Giftbiss"]                                    = true,
        ["Giftschleier"]                            	= true,
        ["Goldener Traum"]                           	= true,
        ["Gruppenheilung"]                            	= true,
        ["Heilende Pfeile"]                            	= true,
        ["Heilende Welle"]                            	= true,
        ["Heilung"]                                    	= true,
        ["Kette des Lichts"]                        	= true,
        ["Lähmendes Gift"]                    			= true,
        ["Lasso"]                                    	= true,
        ["Leben wiederherstellen"]                    	= true,
        ["Manakluft"]                           		= true,
        ["Massenexorzismus"]                        	= true,
        ["Meteorschauer"]                            	= true,
		["Myrmex-Kette"]								= true,
        ["Optimierte Wiedergeburt"]                    	= true,
        ["Optimiertes Ritual der Wiederbelebung"] 		= true,
        ["Pfeil der Genesung"]                        	= true,
        ["Pfeil des Zentauren"]                        	= true,
        ["Plasmapfeil"]                                	= true,
        ["Rasendes Gestrüpp"]                			= true,
        ["Reißende Flut"]                    			= true,
        ["Ritual der Wiederbelebung"]                	= true,
        ["Salve"]                                    	= true,
        ["Schlangenfluch"]                            	= true,
        ["Schnellheilung"]                            	= true,
        ["Schock"]          			      			= true,		-- RK
        ["Spinnengift"]                                 = true,
        ["Statisches Feld"]                            	= true,
        ["Stumm"]                           			= true,
		["Sturmimpuls"]									= true,
        ["Todessichel"]                           		= true,
        ["Tödlicher Giftbiss"]							= true,
        ["Umarmung des Giftwitwe"]                    	= true,
        ["Verbannen"]                                	= true,
        ["Verbesserte Wiedergeburt"]                	= true,
        ["Verbessertes Ritual der Wiederbelebung"]    	= true,
        ["Verlockung der Schlangenfrau"]            	= true,
        ["Wiedergeburt"]                            	= true,
		["Wirbelnder Speer"]							= true,
        ["Zunge lähmendes Gift"]                		= true,
		

		
                        }


local fearList = {
        ["Sengende Flamme"]                             = true,
        ["Urangst"]                                     = true,
        ["Verwirrung"]                                  = true,
        ["In den Abgrund"]                              = true,
        ["Fürchterlicher Schrei"]                       = true,
                }

local Bosslist = {
		["Da´dalodin"]									= true,
		["Runengolem-Wachposten"]						= true,
		["Kulech-Aufseher"]								= true,
				}


-- Die Potion-Funktion ist für die Verwendung in einem Makro entweder allein oder in Kombination mit der KillSequence-Funktion.
-- Ich benutzte es mit meinem Priester in Combo mit dem PartyHealer Addon, um sicherzugehen, dass Tränke verwendet werden, wenn ich sie am meisten brauchte.

-- The Potion function is for using in a macro either by itself or combined with the KillSequence function. 
-- I used it with my Priest in combo with the PartyHealer Addon to make sure to use potions when I needed them most.


function Potion(healthpot,manapot)
    local Skill = {}
    local i = 0
    local pctmana = PctM("player")
    local phealth = PctH("player")
    healthpot = healthpot or 0
    manapot = manapot or 0
    Skill = {
    { name = "Action: "..healthpot,        use = (phealth <= .70) },
    { name = "Action: "..manapot,        use = (pctmana <= .40) },
            }
    MyCombat(Skill,arg1)
end

function Pet(petnum)
	if IsPetSummoned(petnum)
		then ReturnPet(petnum) 
	else SummonPet(petnum)
	end
end


function PriestFairySequence(arg1)
    local Skill = {}
    local Skill2 = {}
    local i = 0
    local FairyExists = UnitExists("playerpet")
    local FairyBuffs = BuffList("playerpet")
    local combat = GetPlayerCombatState()

    -- Ermittelt die Class-Combo (Determine Class-Combo)
    mainClass, subClass = UnitClassToken( "player" )

    -- Fee beschwören (Summon Fairy)
    if (not FairyExists) and (not combat) then
        if mainClass == "AUGUR" then
            if subClass == "THIEF" then
                Skill = {
                    { name = "Schattenfee",            use = true },
                        }
            elseif subClass == "RANGER" then
                Skill = {
                    { name = "Wasserfee",                use = true },
                        }
            elseif subClass == "MAGE" then
                Skill = {
                    { name = "Windfee",                use = true },
                        }            
            elseif subClass == "KNIGHT" then
                Skill = {
                    { name = "Lichtfee",                use = true },
                        }            
            elseif subClass == "WARRIOR" then
                Skill = {
                    { name = "Feuerfee",                use = true },
                        }

            end
        end
    end    
    
    --Cast Halo
    if FairyExists then
        if mainClass == "AUGUR" then
            if subClass == "THIEF" then
                if (not FairyBuffs[503459]) then
                    if (arg1 == "v1") then
                        Msg("- Activating Halo", 0, 1, 1)
                    end
                    Skill = {
                        { name = "Pet Skill: 5 (Wraith Halo)",    use = true },
                            }
                end
            elseif subClass == "RANGER" then
                if (not FairyBuffs[503457]) then
                    if (arg1 == "v1") then
                        Msg("- Activating Halo", 0, 1, 1)
                    end
                    Skill = {
                        { name = "Pet Skill: 5 (Frost Halo)",    use = true },
                            }
                end
            elseif subClass == "MAGE" then
                if (not FairyBuffs[503461]) then
                    if (arg1 == "v1") then
                        Msg("- Activating Halo", 0, 1, 1)
                    end
                    Skill = {
                        { name = "Pet Skill: 5 (Windrider Halo)",    use = true },
                            }
                end
            elseif subClass == "KNIGHT" then
                if (not FairyBuffs[503507]) then
                    if (arg1 == "v1") then
                        Msg("- Activating Halo", 0, 1, 1)
                    end
                    Skill = {
                        { name = "Pet Skill: 5 (Devotion Halo)",    use = true },
                            }
                end
            elseif subClass == "WARRIOR" then
                if (not FairyBuffs[503455]) then
                    if (arg1 == "v1") then
                        Msg("- Activating Halo", 0, 1, 1)
                    end
                    Skill = {
                        { name = "Pet Skill: 5 (Accuracy Halo)",    use = true },
                            }
                end
            end
        
            --Cast Conceal
        if (not MyCombat(Skill, arg1)) then
            if (not FairyBuffs[503753]) then
                if (arg1 == "v1") then
                    Msg("- Activating Conceal", 0, 1, 1)
                end
                Skill2 = {
                    { name = "Pet Skill: 6 (Conceal)",    use = true },
                        }
            end
        end
        end
    end
    
    if (not MyCombat(Skill, arg1)) then
        MyCombat(Skill2, arg1)
    end
end












--SELECTED_CHAT_FRAME:AddMessage(mainClass)
--SELECTED_CHAT_FRAME:AddMessage(subClass)

--Msg (mainClass)				-- Klasse bei relog anzeigen
--Msg (subClass)	
	











                        
function KillSequence(arg1, sintar)
--arg1 = "v1" oder "v2" für das Debuggen --arg1 = "v1" or "v2" for debugging
--healthpot = # der Aktionsleiste für Gesundheit Tränke --healthpot = # of actionbar slot for health potions
--manapot = # der Aktionsleiste für Mana Tränke --manapot = # of actionbar slot for mana potions
--foodslot = # von Actionbar Slot für Lebensmittel (fügen Sie mehr Args für mehr foodslots, wenn nötig) --foodslot = # of actionbar slot for food (add more args for more foodslots if needed)

    local Skill = {}
    local Skill1 = {}	
    local Skill2 = {}
    local Skill3 = {}	
    local i = 0

    
    -- Player and target status.
	local spielerlvl = UnitLevel("player")						-- sein eigenes Lvl
	local ziellvl = UnitLevel("target") or 0					-- das Lvl vom Ziel oder 0 wenn kein Ziel im Target
    local combat = GetPlayerCombatState()						-- combat ist true wenn man sich im Kampf befindet, nützlich für sehr kurze Buffs, die nur genutzt werden sollen, wenn man bereits kämpft
    local enemy = UnitCanAttack("player","target")				-- enemy = true wenn das Ziel angreifbar ist, steht vor jeder Kampfrota
    local EBar1 = UnitMana("player")							-- der Energieslot der Main, Mana für Mage, Focus für Kundi etc ... liefert absoluten Wert zurück und kann benutzt werden, ob genug "Energie" zum Auslösen eines Skills vorhanden ist - verhindert Fehlermeldungen von Rom "nicht genug Mana ..."
    local EBar2 = UnitSkill("player")							-- Energieslot der Sec - ebenfalls absolute Werte
    local pctEB1 = PctM("player")								-- Prozentualer Wert von Energiebar 1 - soviel Prozent seiner Max-Mana(Fokus,Zorn ...) hat man noch
    local pctEB2 = PctS("player")								-- dito Energiebar 2
    local tbuffs = BuffList("target")							-- tbuffs ist ein Listenfeld in dem alle DeBuffs eines Zieles eingetragen sind - also etwas was man dem Ziel zufügen kann. Abfrage nach dem Format tbuffs['Buffname'] oder tbuffs[BuffId] liefert true zurück wenn der betreffende Buff auf dem Ziel zu finden ist. Bsp : tbuffs['Stille'] ergibt true wenn das Ziel unter dem Buff "Stille" leidet.
    local pbuffs = BuffList("player")							-- pbuffs ist das Listenfeld für seine eigenen Buffs. pbuffs['Lodernde Flammen'] ergibt true wenn man sich diesen Buff gegeben hat
    local tDead = UnitIsDeadOrGhost("target")					-- ob das Ziel tod ist - nutzbar fürs looten
    local behind = (not UnitIsUnit("player", "targettarget"))	-- ein Versuch zu testen ob man hinter dem Ziel steht für Schurkenskills - es fragt aber nur ab ob das eigene Ziel einen selbst im Ziel hat ...
    local melee19 = GetActionUsable(19) 							-- in diesem Beispiel Slot 2 der Aktionsleiste sollte mit einem Skill belegt werden der Reichweite 50 (nicht angreifen !!) und dient als entfernungsmesser. Skill in der Leiste "rot" somit ist melee false und wir sind nicht in reichweite für Nahkampfskills
    local melee = GetActionUsable(2)
    local a1,a2,a3,a4,a5,ASon = GetActionInfo(3)  				-- für den Kundi - Main auf Slot 3 der Automatische Schuss, ASon ist true wenn der Automatische bereits Aktiv ist
    local phealth = PctH("player")								-- Leben Player
    local thealth = PctH("target")								-- Leben Ziel
    local LockedOn = UnitExists("target")						-- ob man "irgendwas" im Ziel hat
    local boss = UnitSex("target") > 2							-- boss ist true wenn das Ziel ein Boss ist
    local elite = UnitSex("target") == 2						-- elite ist true wenn das Ziel ein Elite ist
    local party = GetNumPartyMembers() >= 2						-- party ist true wenn man in einer Gruppe ist
    local raid = GetNumPartyMembers() >=7						-- raid ist true wenn man in einer Gruppe ist
 	local zoneid = (GetZoneID() % 1000)
	local pvp = ((zoneid >= 401) and (zoneid <= 446))			-- pvp ist true wenn man im BK, Arena oder sonstiges ist
	local PsiPoints, PsiStatus = GetSoulPoint()					-- PsiPoints und PsiStatus - der 3. Energiebalken für die Zwerge unter uns
	local noob = spielerlvl - ziellvl									-- hab ich für mich selber eingebaut - kommt später unter Tips und Tricks
	local easini = GetInstanceLevel()									-- hab ich für mich selber eingebaut - kommt später unter Tips und Tricks
	local inini = GetCurrentWorldMapID()								-- hab ich für mich selber eingebaut - kommt später unter Tips und Tricks
	local Bosstime = true										
	local pdebuffs = DebuffList("player")						-- ist neu und eine Bufflist die die eigenen DeBuffs beinhaltet. Damit kann man abfragen ob man selber Blutet, verwirrt ist, unter Stille leidet und kann dann entsprechend Gegenmaßnahmen ergreifen 
	local teigbuffs = DebuffList("target")						-- targeteigenebuffs - also eine Buffliste in der alle Buffs eines Zieles abgespeichert sind. Wenn der Boss also mal kurzzeitig immun gegen magischen Schaden sein sollte kann man das hiermit abfragen.
    local melee2 = GetActionUsable(2)							-- in diesem Beispiel Slot 2 der Aktionsleiste sollte mit einem Skill belegt werden der Reichweite 50 (nicht angreifen !!) und dient als entfernungsmesser. Skill in der Leiste "rot" somit ist melee false und wir sind nicht in reichweite für Nahkampfskills
    local melee3 = GetActionUsable(3)
    local melee10 = GetActionUsable(10)
    local melee11 = GetActionUsable(11)
    local melee12 = GetActionUsable(12)	
    local melee19 = GetActionUsable(19) 	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	if pbuffs["Seelenschritt"] then
		Titelpause = true
	else
		Titelpause = false
	end

if boss then
	if inini >= 100 and inini <= 399 then
		if easini == "easy" then	
			Bosstime = false
			if noob >= 10 then
				if elite then
					elite = false
				end
				if boss then
					boss = false
					elite = true
				end
			end
		elseif easini == "normal" then
			if noob >= 10 then
				Bosstime = false
			else
				if not Bosslist[UnitName("target")] then
					Bosstime = true
				end
			end
			if noob >= 15 then
				if elite then
					elite = false
				end
				if boss then
					boss = false
					elite = true
				end
			end	
		elseif easini == "hard" then
			if noob >= 20 then
				Bosstime = false
			else
				if not Bosslist[UnitName("target")] then
					Bosstime = true
				else 
					Bosstime = false
				end
			end
		end	
	else
		if (noob >= 12) then
			if elite then
				elite = false
			end
			if boss then
				boss = false
				elite = true
			end		
		end
		Bosstime = (boss and (not Bosslist[UnitName("target")]) and not pvp)	
	end	
end
	
	
    --Ermittelt die Class-Combo (Determine Class-Combo)
    mainClass, subClass = UnitClassToken( "player" )

	
	
    -- Stille Logik (Silence Logic)   überprüft ob das Ziel gerade castet und ob dieser Cast in der silenceList aufgeführt ist - wenn ja wird silenceThis auf true gesetzt.
    local tSpell,tTime,tElapsed = UnitCastingTime("target")
--    local silenceThis = tSpell and silenceList[tSpell] and ((tTime - tElapsed) > 0.1)

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
	
	    local silenceThis = tSpell and ((tTime - tElapsed) > 0.1)
	
	
	
	
	
	
	
	
	
	
	
	
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	
	
	-- Furcht Logik (Fear Logic)
	
	local fearThis = false
	
	for i = 1,100 do
		local debuff, _, destackSize, deID = UnitDebuff("player", i)
		if debuff then
			if not fearThis then
				fearThis = debuff and fearList[debuff]
			else
				break
			end
		else
			break
		end
	end
	
	
    --[[Potion Checks
    healthpot = healthpot or 0
    manapot = manapot or 0
    
    --Equipment and Pet Protection
    if phealth <= .04 then
            --SwapEquipmentItem()        --Note: Remove the first double dash to re-enable equipment protection.
        for i=1,6 do
            if (IsPetSummoned(i) == true) then
                ReturnPet(i);
            end
        end        
    end]]--
	
	-- Pfeile und Messer ausrüsten
	if mainClass == "RANGER" or subClass == "RANGER" then
		if (GetInventoryItemCount("player",9) == nil) then
			UseItemByName("Pfeil des Weisen")               -- lvl 77
			UseItemByName("Obsidianpfeil")					--Lvl 70 Händler
			UseItemByName("Rankenpfeil")					--Tempel Kundi-Set-Skill
			UseItemByName("Runendorn")						--DF-Pfeile
		
			if (GetInventoryItemCount("player",9) == nil) then
				Msg("keine Pfeile")
			end
--[[			if (GetInventoryItemCount("player",9) ~= nil) then
				local a1, a2, Pfeile, a3, a4 = GetInventoryItemDurable("player", 9) 
			end
			--]]
		end
	end

--[[	Msg("Pfeile "..Pfeile)
	if mainClass == "THIEF" or subClass == "THIEF" then
		if GetCountInBagByName("Pro-Tag-eine-Beute") >= 10 then
			local Messer = "Pro-Tag-eine-Beute"
		
		elseif GetCountInBagByName("Wurfmesser") >= 10 then
			local Messer = "Wurfmesser"
			Msg("Messer "..Messer)  	
		end
		
	end
	--]]
	

	
	
	--Check for level 1 mobs, if it is, drop target and acquire a new one.
    if (LockedOn and (UnitLevel("target") < 2)) and (not party) then
        TargetUnit("")
        return
    end
 











 
    --Begin Player Skill Sequences
    
        --Priest = AUGUR, 
		--Druid = DRUID, 
		--Mage = MAGE, 
		--Ritter (Knight) = KNIGHT, 
        --Kundschafter = Scout = RANGER, 
		--Schurke = Rogue = THIEF, 
		--Bewahrer (Warden) = WARDEN, 
		--Krieger (Warrior) = WARRIOR
		--Champion = PSYRON
		--Hexenmeister = HARPSYN
		
		
	if mainClass == "WARDEN" and subClass == "RANGER" then
    -- Bewahrer / Kundi
	
        local PetExists = UnitExists("playerpet")
        local petname = UnitName("playerpet")
        local pethealth = PctH("playerpet")
		local _,active5,autoCastAllowed5 = GetPetActionInfo(5)
		local _,active6,autoCastAllowed6 = GetPetActionInfo(6)
        
		CreateDIYCETimer("Bogenshot", 2)		
            
            --Buffs
            
            Skill = {
                { name = "Gestrüppschild", 									use = (not pbuffs[503958] and (EBar1 >= 337)) or (pbuffs[503958].time <= 45 and (EBar1 >= 180) and (not combat)) },
				{ name = "Opfer",		                                    use = (phealth <= .15) },
				-- { name = "Energieabsorption",		                        use = (phealth <= .20) },
				{ name = "Schadenstransfer",		                          use = (phealth <= .30) },
				{ name = "Elfenamulett",		                            use = (phealth <= .40) },
				{ name = "Beschwörung von Chiron dem Zentauren",            use = pctEB1 >= 0.15 and (not PetExists) and (not combat) },			
				{ name = "Moralschub",	 		      						use = (not tDead) and boss and combat},
				{ name = "Wilde Kraft",		            					use = (not tDead) and boss and combat},
				{ name = "Herz der Eiche",									use = (not pbuffs["Herz der Eiche"]) and EBar1 >= 60 },
				{ name = "Schutz der Natur",								use = (not pbuffs["Schutz der Natur"]) and EBar1 >= 350 },
                { name = "Explosion der Kraft",								use = (not tDead) and boss and combat },
				{ name = "Energieabsorption",		                        use = (not tDead) and boss and combat },
				{ name = "Pet Skill: 6",									use = PetExists and (not active6) },
				{ name = "Pet Skill: 5",									use = PetExists and (not active5) },
				{ name = "Function: Titelskill",							use = (ActionCD(12) and boss and combat), params = {"Feuerübung",530467} },
					}
            
            --Pet
           
            --Fähigkeiten
            
            if enemy then
            Skill2 = {
				{ name = "Kehlenschlag",            						use = (silenceThis) and (EBar2 >= 15) and melee },
                { name = "Vampirpfeil", 									use = (EBar2 >= 25) },
				{ name = "Geladener Hieb",									use = (melee and (EBar1 >= 230)) },
				{ name = "Unzähmbar", 										use = (melee and (EBar2 >= 45)) },
				{ name = "Dornige Reben", 									use = (melee and (EBar1 >= 180)) },
				--{ name = "Kraft des Baumgeistes", 							use = (melee and (EBar1 >= 123)) },
				{ name = "Anti-Magie-Pfeil", 								use = ((not tDead) and (EBar2 >= 32) and ((pctEB1 <= .5) or (not melee)))  },
				{ name = "Gelenkschlag", 									use = ((not tDead) and melee and (EBar2 >= 20)) },
				{ name = "Bogenschuss", 									use = (not tDead), timer = "Bogenshot" },         
				{ name = "Angreifen",                   					use = (true) },			  
				  }
            end

	--ADD MORE CLASS COMBOS HERE. 
	--USE AN "ELSEIF" TO CONTINUE WITH MORE CLASS COMBOS.

	
--[[
	
-- Ritter/Krieger = Knight/Warrior		xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

	elseif mainClass == "KNIGHT" and subClass == "WARRIOR" then


            --Buffs
            
			
			
			elseif ((enemy) and (sintar == "1")) then			
            Skill = {


--				{ name = "Wütend",											use = (EBar2 <= 25) },			
			
			
				{ name = "Ansturm",											use = (not tDead) },
				{ name = "Explosion der heiligen Macht",					use = (not tDead) },				
--				{ name = "Heiliges Siegel",									use = (not tDead) },
--				{ name = "Heiliges Siegel",									use = (not tDead) },
				{ name = "Heiliges Siegel",									use = (not tDead) },
				{ name = "Einschüchterung",									use = (not tDead) },
				{ name = "Gebieterische Abschreckung",						use = (not tDead) },
				{ name = "Wirbelnder Schild",								use = (not tDead) },
				{ name = "Bestrafung",										use = (tbuffs["Heiliges Siegel 4"]) },
				{ name = "Heiliger Schlag",									use = (not tbuffs["Heiliges Siegel 4"]) },
				{ name = "Hieb",											use = (EBar2 >= 25) },
				{ name = "Angreifen",                   					use = (true) },
					}




			elseif ((enemy) and (sintar == "2")) then
			
            Skill2 = {
--				{ name = "Wütend",											use = (EBar2 <= 25) },
--				{ name = "Verteidigungshaltung",							use = (not tDead) and (phealth <= .05) },
--				{ name = "Berserker",										use = (not tDead) and (phealth >= .95) and (EBar2 >= 26 },
--				{ name = "Kehlenschlag",            						use = (silenceThis) and (EBar2 >= 15) and melee },			
				  }
            end




					
            --Pet
           
            --Fähigkeiten

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
--]]










--	elseif mainClass == "WARRIOR"  then
--	Bewarer/Krieger = WARDEN/Warrior		xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

	elseif mainClass == "WARDEN" and subClass == "WARRIOR" then


			--Fähigkeiten
			
			if boss then
			Skill = {
			
--				{ name = "Energiedieb",										use = ((not tDead) and (EBar1 <= 20)) },
					 }	
	
	
            --Buffs
            
			
			
			elseif ((enemy) and (sintar == "1")) then			
            Skill2 = {


--				{ name = "Wütend",											use = (EBar2 <= 25) },			
				{ name = "Hieb",											use = (EBar1 <= 500)  and (EBar2 >= 25) },			
				{ name = "Bewegungseinschränkung",							use = (EBar1 >= 270) },		-- 45s 150r
				{ name = "Wilder Anführer",									use = (EBar1 >= 300) },		-- 0s 180s 	
				{ name = "Kreuzhieb",										use = (EBar1 >= 780) },		-- 6s 100r				
				{ name = "Rasendes Gestrüpp",								use = (EBar1 >= 1092) },		-- 12s 80r mehrere Ziele				

				{ name = "Wappen",											use = (EBar1 >= 1000) },		-- 0s 180s 	
--				{ name = "Elfische Führung",								use = (EBar1 >= 330) },			-- 0s 90s			
				
				{ name = "Pulskontrolle",									use = (EBar2 >= 20) and (tbuffs["Siegel der Bestie"]) },	-- 0s 50r
				{ name = "Bestienschlag",									use = (EBar2 >= 25) },		-- 7s 50r			
				{ name = "Doppelschlag",									use = (EBar1 >= 156) },		-- 3s 50r
				{ name = "Dornige Reben",									use = (EBar1 >= 468) },		-- 8s 50r				
				{ name = "Geladener Hieb",									use = (EBar1 >= 312) },		-- 1s 50r
--				{ name = "Kraft des Baumgeistes",							use = (EBar1 >= 234) },		-- 1s 50r 3 Ziele
				{ name = "Hieb",											use = (EBar2 >= 25) },
				{ name = "Angreifen",                   					use = (true) },
--				{ name = "Bestrafung",										use = (tbuffs["Heiliges Siegel 4"]) },
--				{ name = "Heiliger Schlag",									use = (not tbuffs["Heiliges Siegel 4"]) },

					}


								elseif ((enemy) and (sintar == "2")) then			
            Skill2 = {


--				{ name = "Wütend",											use = (EBar2 <= 25) },			
				{ name = "Hieb",											use = (EBar1 <= 500)  and (EBar2 >= 25) },			
				{ name = "Bewegungseinschränkung",							use = (EBar1 >= 270) },		-- 45s 150r
				{ name = "Wilder Anführer",									use = (EBar1 >= 300) },		-- 0s 180s 	
				{ name = "Kreuzhieb",										use = (EBar1 >= 780) },		-- 6s 100r				
				{ name = "Rasendes Gestrüpp",								use = (EBar1 >= 1092) },		-- 12s 80r mehrere Ziele				

--				{ name = "Wappen",											use = (EBar1 >= 1000) },		-- 0s 180s 	
--				{ name = "Elfische Führung",								use = (EBar1 >= 330) },			-- 0s 90s			
				
				{ name = "Pulskontrolle",									use = (EBar2 >= 20) and (tbuffs["Siegel der Bestie"]) },	-- 0s 50r
				{ name = "Bestienschlag",									use = (EBar2 >= 25) },		-- 7s 50r			
				{ name = "Doppelschlag",									use = (EBar1 >= 156) },		-- 3s 50r
				{ name = "Dornige Reben",									use = (EBar1 >= 468) },		-- 8s 50r				
				{ name = "Geladener Hieb",									use = (EBar1 >= 312) },		-- 1s 50r
--				{ name = "Kraft des Baumgeistes",							use = (EBar1 >= 234) },		-- 1s 50r 3 Ziele
				{ name = "Hieb",											use = (EBar2 >= 25) },
				{ name = "Angreifen",                   					use = (true) },
--				{ name = "Bestrafung",										use = (tbuffs["Heiliges Siegel 4"]) },
--				{ name = "Heiliger Schlag",									use = (not tbuffs["Heiliges Siegel 4"]) },

					}
					
					


			elseif ((enemy) and (sintar == "3")) then
			
            Skill2 = {
 
 				{ name = "Wirbelwind",										use = (EBar2 >= 50) },		-- 0s mehrere Ziele
 				{ name = "Rasendes Gestrüpp",								use = (EBar1 >= 1092) },		-- 12s 80r mehrere Ziele	
 				{ name = "Kraft des Baumgeistes",							use = (EBar1 >= 234) },		-- 1s 50r 3 Ziele
				
				{ name = "Pulskontrolle",									use = (EBar2 >= 20) and (tbuffs["Siegel der Bestie"]) },	-- 0s 50r
				{ name = "Bestienschlag",									use = (EBar2 >= 25) },		-- 7s 50r				
				{ name = "Hieb",											use = (EBar2 >= 25) },
 
 
--[[
				{ name = "Bewegungseinschränkung",							use = (EBar1 >= 2) },		-- 45s 150r
				{ name = "Kreuzhieb",										use = (EBar1 >= 2) },		-- 6s 100r				
				{ name = "Rasendes Gestrüpp",								use = (EBar1 >= 2) },		-- 12s 80r mehrere Ziele				
				{ name = "Pulskontrolle",									use = (EBar2 >= 20) and (tbuffs["Siegel der Bestie"]) },	-- 0s 50r
				{ name = "Bestienschlag",									use = (EBar2 >= 25) },		-- 7s 50r			
				{ name = "Doppelschlag",									use = (EBar1 >= 2) },		-- 3s 50r
				{ name = "Dornige Reben",									use = (EBar1 >= 2) },		-- 8s 50r				
				{ name = "Geladener Hieb",									use = (EBar1 >= 2) },		-- 1s 50r
				{ name = "Kraft des Baumgeistes",							use = (EBar1 >= 2) },		-- 1s 50r 3 Ziele
				{ name = "Hieb",											use = (EBar2 >= 25) },
				{ name = "Angreifen",                   					use = (true) },         						use = (silenceThis) and (EBar2 >= 15) and melee },			

--]]
				}
            end

	


					
            --Pet
           
            --Fähigkeiten

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
--yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy


elseif mainClass == "WARRIOR" and subClass == "MAGE" then		-- EBar1 und EBar2 Werte beachten bzw ändern!
	-- Krieger / Magier
			

	CreateDIYCETimer("tStromschlag", 8)			--Timer ("tStromschlag", 9) zB. 9s

			
	if ((enemy) and (sintar == "1")) then		

		Skill2 = {
					
				{ name = "Elektrischer Angriff",							use = (pdebuffs) and (not pbuffs["Elektrischer Angriff"]) },			
				{ name = "Raserei",      	             					use = (not tDead) and boss  },
				{ name = "Überraschungsangriff",							use = (not tDead) and melee19 },				-- Slot 2 wird überwacht			
				{ name = "Angreifen",                   					use = (not tDead) and (EBar1 <= 15) },
				{ name = "Stromschlag",                   					use = (not tDead) and (not pbuffs[622954]) },			--Hochspannung stack 3
				{ name = "Stromschlag",                   					use = (not tDead) and (pbuffs[622954]), timer = "tStromschlag" },			--Hochspannung stack 3
				{ name = "Angreifen",                   					use = (not tDead), timer = "tStromschlag" },

					}


			elseif ((enemy) and (sintar == "2")) then	
	
			
			Skill2 = {

				{ name = "Elektrischer Angriff",							use = (pdebuffs) and (not pbuffs["Elektrischer Angriff"]) },			
				{ name = "Raserei",      	             					use = (not tDead) and boss  },
				{ name = "Angreifen",                   					use = (not tDead) and (EBar1 <= 15) },
				{ name = "Stromschlag",                   					use = (not tDead) and (not pbuffs[622954]) },			--Hochspannung stack 3
				{ name = "Stromschlag",                   					use = (not tDead) and (pbuffs[622954]), timer = "tStromschlag" },			--Hochspannung stack 3
				{ name = "Angreifen",                   					use = (not tDead), timer = "tStromschlag" },

					}
			end
			
		



--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	


--yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy




elseif mainClass == "KNIGHT" and subClass == "WARRIOR" then		-- EBar1 und EBar2 Werte beachten bzw ändern!
	-- Ritter / Krieger
			
			--Fähigkeiten
			




--[[
-- Schutz in Not
			if phealth <= .50 then
			Skill = {



				{ name = "Schild der Disziplin",        					use = (true) and (EBar1 >= 594) },   -- 30s/ 60s
				{ name = "Schild des Heldenmuts",        					use = (true) and (EBar1 >= 180) },   --  ?/ 60s
				{ name = "Meister der Parade",								use = (true) and (EBar2 >= 30) },
 				{ name = "Verteidigungshaltung",							use = (true) and (EBar2 >= 25) },					

					 }
			end



-- cast vom Ziel
-- Benommenheit
            if (enemy) then
            Skill2 = {
			
--				{ name = "Wütend",											use = (pdebuffs) and (true) },			-- 20 Zorn	
--				{ name = "Furchtlos",										use = (pdebuffs) and (EBar2 >= 10) },			-- immun gegen Furcht
				{ name = "Ansturm",											use = (silenceThis) },
				{ name = "Heiliger Schlag",									use = (silenceThis) and (tbuffs["Heiliges Siegel 3"]) },	-- 3 auf 4 Siegel erhöhen
				{ name = "Schock",											use = (silenceThis) and (tbuffs["Heiliges Siegel 4"])},		--2-5s Benommenheit
				{ name = "Meister der Parade",								use = (silenceThis) and (EBar2 >= 30) },
				{ name = "Schild des Heldenmuts",        					use = (silenceThis) and (EBar1 >= 180) and (phealth <= .80) },   --  ?/ 60s				
 				{ name = "Verteidigungshaltung",							use = (silenceThis) and (EBar2 >= 25) and (phealth <= .50) },				
				{ name = "Heiliges Siegel",									use = (silenceThis) }, 										-- 4 Siegel, 	
				{ name = "Heiliger Schlag",									use = (silenceThis) and (not tbuffs["Heiliges Siegel 4"]) },										-- 50r, + Aggro, 1-4 Siegel	

					}
--			end


--]]






			
--			elseif ((enemy) and (sintar == "1")) then			-- 1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
			if ((enemy) and (sintar == "1")) then
--						if (enemy) then

			Skill2 = {

			
-- Buff vor Angreifen
--				{ name = "Explosion der heiligen Macht",					use = (true) },   -- 20s/ 40s
			
--[[			
				{ name = "Wütend",											use = (pdebuffs) and (true) },			-- 20 Zorn	
				{ name = "Furchtlos",										use = (pdebuffs) and (EBar2 >= 10) },			-- immun gegen Furcht
				{ name = "Ansturm",											use = (silenceThis) },
				{ name = "Heiliger Schlag",									use = (silenceThis) and (tbuffs["Heiliges Siegel 3"]) },	-- 3 auf 4 Siegel erhöhen
				{ name = "Schock",											use = (silenceThis) and (tbuffs["Heiliges Siegel 4"])},		--2-5s Benommenheit
				{ name = "Meister der Parade",								use = (silenceThis) and (EBar2 >= 30) },
				{ name = "Schild des Heldenmuts",        					use = (silenceThis) and (EBar1 >= 180) and (phealth <= .80) },   --  ?/ 60s				
 				{ name = "Verteidigungshaltung",							use = (silenceThis) and (EBar2 >= 25) and (phealth <= .50) },				
				{ name = "Heiliges Siegel",									use = (silenceThis) }, 										-- 4 Siegel, 	
				{ name = "Heiliger Schlag",									use = (silenceThis) and (not tbuffs["Heiliges Siegel 4"]) },	

--]]

				{ name = "Ansturm",											use = (silenceThis) },			--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
				{ name = "Schild des Heldenmuts",        					use = (silenceThis) and (ddd == Ansturm) },   --xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

				{ name = "Heiliger Schlag",									use = (silenceThis) and (tbuffs["Heiliges Siegel 3"]), zzz = 7 },	-- 3 auf 4 Siegel erhöhen
				{ name = "Schock",											use = (silenceThis) and (tbuffs["Heiliges Siegel 4"])},		--2-5s Benommenheit
				{ name = "Meister der Parade",								use = (silenceThis) and (EBar2 >= 30) },
				{ name = "Schild des Heldenmuts",        					use = (silenceThis) and (EBar1 >= 180) and (phealth <= .80) },   --  ?/ 60s				
 				{ name = "Verteidigungshaltung",							use = (silenceThis) and (EBar2 >= 25) and (phealth <= .50) },				
				{ name = "Heiliges Siegel",									use = (silenceThis) }, 										-- 4 Siegel, 	
				{ name = "Heiliger Schlag",									use = (silenceThis) and (not tbuffs["Heiliges Siegel 4"]) },										-- 50r, + Aggro, 1-4 Siegel	
--				{ name = "Wütend",											use = (pdebuffs) and (true) },			-- 20 Zorn	
--				{ name = "Furchtlos",										use = (pdebuffs) and (EBar2 >= 10) },			-- immun gegen Furcht



				
-- Angriff				
				{ name = "Ansturm",											use = (not tDead) },
				{ name = "Meister der Parade",								use = (not tDead) and (EBar2 >= 30) and (phealth <= .50) },
				{ name = "Gebieterische Abschreckung",						use = (not tDead) and (behind)},		-- 60s/ 50r, größte Aggro + rd 11,9%, Ziel hat Player nicht im Target	

-- Schaden	
				{ name = "Einschüchterung",									use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 180) },			-- +136% Aggro
				{ name = "Explosion der heiligen Macht",					use = (not tDead) },   -- 20s / 40s, Buff, +36...% Aggro				
				
				{ name = "Bestrafung",										use = (tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 312) },			-- 8s, 50r, +26% Lichtschaden				

--				{ name = "Abrüstung",										use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) and (not tbuffs["Abrüstung IV"]) and (EBar1 >= 312) },					
				
				{ name = "Schildschlag der Wahrheit",						use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) },	-- 60s/ 90r, + Aggro mit Verteidigung				
				
				
-- Siegelaufbau
				{ name = "Heiliges Siegel",									use = (not tDead) and (not tbuffs["Heiliges Siegel 3"]) and (not tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 210) },			-- 10s/ 50r, 4 Siegel
				{ name = "Heiliger Schlag",									use = (not tDead) and (not tbuffs["Heiliges Siegel 4"])  and (EBar1 >= 234) },				-- 50r/ + Aggro		

				
			


				{ name = "Wirbelnder Schild",								use = (not tDead) and (EBar1 >= 140) },			-- 6s/ + Aggro				

				

-- Überlebensinstinkt aktivieren
				
				{ name = "Schild der Disziplin",        					use = (not tDead) and (not tbuffs["Überlebensinstinkt"]) and (EBar1 >= 594) },   -- 30s/ 60s
				{ name = "Schild des Heldenmuts",        					use = (not tDead) and (not tbuffs["Überlebensinstinkt"]) and (EBar1 >= 180) },   --  ?/ 60s


				
				
				{ name = "Hieb",											use = (EBar2 >= 26) },						
--				{ name = "Angreifen",                   					use = (true) },
		
			


			
			--
--				{ name = "Wütend",											use = (EBar2 <= 25) },
--				{ name = "Furchtlos",										use = (EBar2 >= 10) },   -- 20s / 60s
--				{ name = "Explosion der heiligen Macht",					use = (true) },   -- 20s / 40s
--				{ name = "Heilige Kraft",									use = (true) },	--15s/2min			
--				{ name = "Rüstung Verstärken",        						use = (true) },				
				
					}

			
			 
--			if name == "Heiliger Schlag" then 
--					zzz = 3 
--				else 
--					zzz = 6
--			end
			


				
		
			elseif ((enemy) and (sintar == "2")) then			-- 222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222
        	Skill2 = {

-- Ziel führt Cast durch - Siegelaufbau und Schock

				{ name = "Schock",											use = (silenceThis) and (tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 25) },		--2-5s Benommenheit/   nur mit 4 Siegel
				{ name = "Ansturm",											use = (silenceThis) and (tbuffs["Heiliges Siegel 2"]) },
				{ name = "Heiliger Schlag",									use = (silenceThis) and (tbuffs["Heiliges Siegel 3"]) and (EBar1 >= 234)},				-- 50r/ + Aggro
				{ name = "Heiliges Siegel",									use = (silenceThis) and (not tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 210) },			-- 10s/ 50r, 4 Siegel
				{ name = "Heiliger Schlag",									use = (silenceThis) and (not tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 234) },				-- 50r/ + Aggro						
				
				
				
--				{ name = "Heiliger Schlag",									use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 234)},				-- 50r/ + Aggro				




-- Angriff

				{ name = "Ansturm",											use = (not tDead) },
				{ name = "Gebieterische Abschreckung",						use = (not tDead) and (behind) and (EBar2 >= 10) },		-- 60s, 50r, größte Aggro + rd 11,9%
				{ name = "Explosion der heiligen Macht",					use = (not tDead) and (EBar1 >= 66) },   -- 20s / 40s, Buff, +36...% Aggro


				{ name = "Heiliger Schlag",									use = (not tDead) and (tbuffs["Heiliges Siegel 3"]) and (EBar1 >= 234)},				-- 50r/ + Aggro
				{ name = "Heiliges Siegel",									use = (not tDead) and (not tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 210) },			-- 10s, 50r, 4 Siegel	


				{ name = "Einschüchterung",									use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 180) },
--				{ name = "Gebieterische Abschreckung",						use = (not tDead) and (behind) and (EBar2 >= 10) },		-- 60s, 50r, größte Aggro + rd 11,9%			


				{ name = "Bestrafung",										use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 312) },	-- 8s
				{ name = "Wirbelnder Schild",								use = (not tDead) },			-- 6s, + Aggro



				
				{ name = "Heiliger Schlag",									use = (not tDead) and (not tbuffs["Heiliges Siegel 4"]) and (EBar1 >= 234) },					-- 50r, + Aggro						

				{ name = "Schnelle Reflexe",								use = (not tDead) and (EBar2 >= 20) },			-- 120s

				{ name = "Hieb",											use = (not tDead) and(EBar2 >= 25) },						
				{ name = "Angreifen",                   					use = (not tDead) and (true) },
	

		
--				{ name = "Explosion der heiligen Macht",					use = (not tDead) },				
--				{ name = "Heiliges Siegel",									use = (not tDead) },
--				{ name = "Bestrafung",										use = (tbuffs["Heiliges Siegel 4"]) },
--				{ name = "Heiliger Schlag",									use = (not tbuffs["Heiliges Siegel 4"]) },		
--				{ name = "Angreifen",                   					use = (true) },
				
					}
					
					
		
			elseif ((enemy) and (sintar == "3")) then
        	Skill2 = {

-- Schutz für Player

				{ name = "Verteidigungshaltung",							use = (not tDead) and (phealth <= .20) and (EBar2 >= 25) },			-- 60s
				{ name = "Schild des Heldenmuts",							use = (not tDead) and (phealth <= .60) and (EBar1 >= 180) },			-- 60s
				{ name = "Schild der Disziplin",							use = (not tDead) and (phealth <= .70) and (EBar1 >= 594) },			-- 60s
				{ name = "Meister der Parade",								use = (not tDead) and (phealth <= .75) and (EBar2 >= 30) },			-- 60s

				{ name = "Ruf der Pflicht",									use = (not tDead) and (phealth <= .80) and (EBar2 >= 30) },			-- 180s
				{ name = "Schildschlag der Wahrheit",						use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) and (phealth <= .85) },	-- 60s, 90r, + Aggro				
			
			
--[[			
			
				{ name = "Wütend",											use = (not tDead) },			-- 10s, 50r, 4 Siegel	
				{ name = "Gebieterische Abschreckung",						use = (not tDead) },		-- 60s, 50r, größte Aggro + rd 11,9%	
				{ name = "Abrüstung",										use = (not tDead) and (not tbuffs["Abrüstung IV"]) },	
				{ name = "Wirbelwind",										use = (EBar2 >= 40) },
				{ name = "Lichtfesseln",									use = (EBar2 >= 26) },

				
				{ name = "Einschüchterung",									use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) },				
				{ name = "Heiliger Schlag",									use = (not tDead) and (not tbuffs["Heiliges Siegel 4"]) },				-- 50r, + Aggro			

				{ name = "Hieb",											use = (EBar2 >= 25) },				
				
				{ name = "Heiliger Schlag",									use = (not tDead) },				-- 50r, + Aggro					
--]]
					}
				
				
				
				
			elseif ((enemy) and (sintar == "4")) then
        	Skill2 = {				
				
-- Schock bei Cast Boss

-- Heiliges Siegel, Heiliger Schlag, Ansturm, Schock


	
				{ name = "Ansturm",											use = (silenceList) },
				{ name = "Schock",											use = (silenceThis) and (tbuffs["Heiliges Siegel 4"])},		--2-5s Benommenheit
				{ name = "Heiliges Siegel",									use = (not tDead) }, 										-- 4 Siegel, 	
				{ name = "Heiliger Schlag",									use = (silenceThis) and (not tbuffs["Heiliges Siegel 4"]) },										-- 50r, + Aggro, 1-4 Siegel					


--				{ name = "Schock",											use = silenceThis },			-- bei Cast true
--				{ name = "Schock",											use = (not tDead) and (tbuffs["Heiliges Siegel 4"]) },		-- 50r, + Aggro				
-- 				{ name = "Kehlenschlag", use = silenceThis },				
--				{ name = "Rüstung Verstärken",        						use = (true) },
--				{ name = "Ansturm",											use = (not tDead) },
--				{ name = "Hieb",											use = (EBar2 >= 26) },				
--				{ name = "Explosion der heiligen Macht",					use = (not tDead) },				
--				{ name = "Heiliges Siegel",									use = (not tDead) },
--				{ name = "Einschüchterung",									use = (not tDead) },
--				{ name = "Gebieterische Abschreckung",						use = (not tDead) },
--				{ name = "Wirbelnder Schild",								use = (not tDead) },
--				{ name = "Bestrafung",										use = (tbuffs["Heiliges Siegel 4"]) },
--				{ name = "Heiliger Schlag",									use = (not tbuffs["Heiliges Siegel 4"]) },				
--				{ name = "Angreifen",                   					use = (true) },				
					}					
	
			end




--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	


		elseif mainClass == "THIEF" and subClass == "RANGER" then		-- EBar1 und EBar2 Werte beachten bzw ändern!
			-- Schurke / Kundschafter

	CreateDIYCETimer("tVerbergen", 4)			--Timer "tVerbergen"
			
			if ((enemy) and (sintar == "1")) then				
--			elseif ((enemy) and (sintar == "1")) then			
            Skill2 = {
			
				{ name = "Kampfmeister",								use = not pbuffs["Kampfmeister"] },	
			
				{ name = "Verschwinden",								use = (not tDead) and (phealth <= .10) },			-- 60s			
				{ name = "Verbergen",									use = (true) and (not pbuffs ["Verbergen"]) and (not combat), timer = "tVerbergen" },
--				{ name = "Angreifen",									use = (not tDead) },	
--				{ name = "Verbergen",									use = (not tDead)  and (not pbuffs["Verbergen"]) },	
	
				{ name = "Energiedieb",									use = (EBar1 <= 30) },					
				{ name = "Wilder Angriff",								use = (not tDead) },
				{ name = "Schattenschritt",								use = (not tDead) },
--				{ name = "Toter Winkel",								use = (not tDead) and (behind) and (melee10) },
--				{ name = "Hinterhalt",									use = (not tDead) and (behind) and (melee11) },


				{ name = "Hinterhalt",									use = (not tDead) and (not tbuffs[500725]) and (behind) and (melee10) },		--Hinterhalt-Benommenheit 500725
				{ name = "Toter Winkel",								use = (not tDead) and (tbuffs[500725]) and (melee11) },

				{ name = "Schattengefängnis",							use = (not tDead) and (not tbuffs["Schattengefängnis"]) and (EBar1 >= 90) },
				{ name = "Gemeiner Schlag",								use = (not tDead) and (tbuffs ["Blutung"]) and (EBar1 >= 25) },	
				{ name = "Meucheln",									use = (not tDead) and (EBar1 >= 20) },	
					
				{ name = "Kehlenschlag",								use = (not tDead) and (EBar2 >= 15) },					
				{ name = "Gelenkschlag",								use = (not tDead) and (EBar2 >= 15) },					
				
				
--				{ name = "Schattenschritt",									use = (EBar2 >= 25) },
				
				
				
				

					}




			elseif ((enemy) and (sintar == "2")) then
			
            Skill2 = {
 
 				{ name = "Gemeiner Schlag",									use = (not tDead) },
				
 --[[				{ name = "Rasendes Gestrüpp",								use = (EBar1 >= 1092) },		-- 12s 80r mehrere Ziele	
 				{ name = "Kraft des Baumgeistes",							use = (EBar1 >= 234) },		-- 1s 50r 3 Ziele
				
				{ name = "Pulskontrolle",									use = (EBar2 >= 20) and (tbuffs["Siegel der Bestie"]) },	-- 0s 50r
				{ name = "Bestienschlag",									use = (EBar2 >= 25) },		-- 7s 50r				
				{ name = "Hieb",											use = (EBar2 >= 25) },
 
 

				{ name = "Bewegungseinschränkung",							use = (EBar1 >= 2) },		-- 45s 150r
				{ name = "Kreuzhieb",										use = (EBar1 >= 2) },		-- 6s 100r				
				{ name = "Rasendes Gestrüpp",								use = (EBar1 >= 2) },		-- 12s 80r mehrere Ziele				
				{ name = "Pulskontrolle",									use = (EBar2 >= 20) and (tbuffs["Siegel der Bestie"]) },	-- 0s 50r
				{ name = "Bestienschlag",									use = (EBar2 >= 25) },		-- 7s 50r			
				{ name = "Doppelschlag",									use = (EBar1 >= 2) },		-- 3s 50r
				{ name = "Dornige Reben",									use = (EBar1 >= 2) },		-- 8s 50r				
				{ name = "Geladener Hieb",									use = (EBar1 >= 2) },		-- 1s 50r
				{ name = "Kraft des Baumgeistes",							use = (EBar1 >= 2) },		-- 1s 50r 3 Ziele
				{ name = "Hieb",											use = (EBar2 >= 25) },
				{ name = "Angreifen",                   					use = (true) },         						use = (silenceThis) and (EBar2 >= 15) and melee },			

--]]
				}
          

		

		
		end			




--SELECTED_CHAT_FRAME:AddMessage( DIYCE_DebugSkills(Skill2))	


--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

	
		
	--THE NEXT "END" STATEMENT IS THE END OF THE CLASS COMBOS STATEMENTS.
	--DO NOT POST BELOW THE FOLLOWING "END" STATEMENT!
	
	
--				name = zzz
--				SELECTED_CHAT_FRAME:AddMessage(mainClass)
				
				
	end
    --End Player Skill Sequences
	
	
	
    if (arg1=="debugskills") then        --Used for printing the skill table, and true/false usability
        DIYCE_DebugSkills(Skill)
        DIYCE_DebugSkills(Skill2)
    elseif (arg1=="debugpbuffs") then    --Used for printing your buff names, and buffID
        DIYCE_DebugBuffList(pbuffs)
    elseif (arg1=="debugtbuffs") then    --Used for printing target buff names, and buffID
        DIYCE_DebugBuffList(tbuffs)
	elseif (arg1=="debugpdebuffs") then
		DIYCE_DebugBuffList(pdebuffs)
	elseif (arg1=="debugbuffs") then
        DIYCE_DebugBuffList(pbuffs)
		DIYCE_DebugBuffList(pdebuffs)
        DIYCE_DebugBuffList(tbuffs)
    elseif (arg1=="debugall") then        --Used for printing all of the above at the same time
        DIYCE_DebugSkills(Skill)
        DIYCE_DebugSkills(Skill2)
        DIYCE_DebugBuffList(pbuffs)
		DIYCE_DebugBuffList(pdebuffs)
        DIYCE_DebugBuffList(tbuffs)
    end
    	
	if (not MyCombat(Skill, arg1)) then
        MyCombat(Skill2, arg1)
    end
       
    --Select Next Enemy

	
	
	
 
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
--		zzz = UnitCastingTime("player")
--		zzz = UnitCastingSpell("player") 
--		zzz = UnitCanAttack("player", "target")
--		zzz = UnitCanAttack("player")	
		
--		SELECTED_CHAT_FRAME:AddMessage(ddd)			---Ausgabe im chatxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

--[[
                if talktome then Msg("-88- "..Skill[x].name)				------------------------------------------------------------------8-
                CastSpellByName(Skill2[x].name)
                StartDIYCETimer(Skill2[x].timer)
                
				            ddd = CastSpellByName(Skill2[x].name)				-----------------------------------------------
							ddd = StartDIYCETimer(Skill2[x].timer)				-----------------------------------------------
				
				
				
				end
		
--]]
		
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx


	
	
	
	
	
	
    if (tDead) then
        TargetUnit("")
        return
    end

 ---   if not pvp then        --Autotarget nur außerhalb einer Gruppe und im PvP
 --   if ((not party) or pvp) then        --Autotarget nur außerhalb einer Gruppe und im PvP	
        if (not LockedOn) or (not enemy) then
            TargetNearestEnemy()
				if pvp then
					for i=1,10 do
						if not UnitMaster("target") then --im PvP keine Pets im Target behalten ... - es sei denn es sind Herrenlose ... ^^
							break
						end
						TargetNearestEnemy()
					end
				end
			return
        end
 --   end

end